Bug 861567 - Rubyonrails app stayed on "BUILDING" or "DEPLOYING" status for too long time on dev.
Rubyonrails app stayed on "BUILDING" or "DEPLOYING" status for too long time ...
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jhon Honce
libra bugs
Depends On:
  Show dependency treegraph
Reported: 2012-09-29 04:22 EDT by Mengjiao Gao
Modified: 2015-05-14 19:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-11-06 13:49:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mengjiao Gao 2012-09-29 04:22:45 EDT
Description of problem:
When I created the rubyonrails app on devenv_2252, I found that it was still "DEPLOYING" status after 3 hours. Then I used rhc command to restart the app,it became to "STARTED" status after that.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Created a rubyonrails app.
2.Wait some time to check its status.
3.Use rhc command to restart the app.
Actual results:
It stays too long on "BUILDING" or "DEPLOYING" status .

Expected results:
It should be "Started" status after some minutes.

Additional info:
This issue exists on drupal application sometimes.
Comment 1 Jhon Honce 2012-09-29 20:06:19 EDT
Are you using ruby-1.8 or ruby-1.9 when you see this issue?
Comment 2 Xiaoli Tian 2012-10-01 08:53:52 EDT
(In reply to comment #1)
> Are you using ruby-1.8 or ruby-1.9 when you see this issue?
Mengjiao was deploying rubyonrails instant app via web console, so it should be ruby-1.9
Comment 3 Jhon Honce 2012-10-02 17:19:11 EDT
first push: 5-6 mins
 - 41 gems installed from: http://mirror1.prod.rhcloud.com/mirror/ruby and https://rubygems.org 

second push: 1 min
third push: 1 min

Push pauses at "Fetching gem metadata from https://rubygems.org/..."

Script to recreate:
rhc app create -pp -a railsapp -t ruby-1.9
rhc app cartridge add -pp -a railsapp -c mysql-5.1
cd railsapp
git remote add upstream -m master git://github.com/openshift/rails-example.git
git pull -s recursive -X theirs upstream master

time git push
Comment 4 Jhon Honce 2012-10-04 20:24:42 EDT
Removing rubygems.org from the Gemfile sources. Update will push with typeless gear refactor.
Comment 5 Yujie Zhang 2012-10-08 01:08:54 EDT
Tested this issue on devenv_2295, it does not exist on ruby on rails, but it exists on spring framework application now, could you please check it again?
Comment 6 Yujie Zhang 2012-10-08 01:31:44 EDT
(In reply to comment #4)
Since rubyonrails app has been fixed, I verify this bug on devenv_2295 and will open a new bug for spring app.

Note You need to log in before you can comment on or make changes to this bug.